colossalai.nn.parallel.layers
=============================

.. automodule:: colossalai.nn.parallel.layers
   :members:


.. toctree::
   :maxdepth: 2

   colossalai.nn.parallel.layers.colo_module
   colossalai.nn.parallel.layers.embedding
   colossalai.nn.parallel.layers.linear
   colossalai.nn.parallel.layers.module_utils
